<ion-header>
	<ion-navbar>
		<ion-title class="title-after-back">Détail</ion-title>
		<button ion-button="" menuToggle="">
			<ion-icon name="menu"></ion-icon>
		</button>
	</ion-navbar>
</ion-header>


<ion-content>
	<ion-grid class="">
		<ion-row justify-content-center class="row-top">
			<ion-col col-8 col-sm col-auto> 
				<img src="assets/imgs/bee-logo.png" class="logo-reservation">  
			</ion-col>
		</ion-row>
		<ion-row justify-content-center margin-top class="content-center" >
			<ion-col col-12 col-sm col-auto >
				<ion-list *ngIf="params">
					<ion-card id="details">	
						<ion-card-content>
							<ion-card-title>
								Ticket de réservation
							</ion-card-title>
							<p>
								<b>Trajet : </b> {{details?.trajet?.startstation?.city}} - {{details?.trajet?.arrivalstation?.city}}
							</p>

							<p>
								<b>Date de voyage : </b> {{details?.date | date: 'dd/MM/yyyy'}} 
							</p>

							<p>
								<b>Heure de départ : </b> {{details?.hour}}
							</p>

							<p>
								<b>Coopérative : </b>{{details?.cooperative?.name}}
							</p>

							<p>
								<b>Véhicule N° : </b> {{details?.car?.matricule}}
							</p>

							<p *ngIf="details?.client?.name_reserver">
								<b>Nom de client : </b>{{details?.client?.name_reserver}}
							</p>

							<p *ngIf="details?.client?.cin_reserver">
								<b>Numero CIN de client : </b>{{details?.client?.cin_reserver}}
							</p>

							<p>
								<b>Nombre de place : </b>{{details?.reservation?.nbplace}}
							</p>

							<p>
								<b>Montant : </b> {{details?.reservation?.amount}} Ar
							</p>

							<p *ngIf="details?.reservation?.status == 'pending' " >
								<b>Statut de paiement : </b>
								En attente de paiement <br><b> reste payer : {{details?.reservation?.rest}} Ar</b>
							</p>

							<p *ngIf="details?.reservation?.status == 'completed' " >
								<b>Statut de paiement : </b>
								Payé
							</p>

							<ion-item id="qrcode">
								<ngx-qrcode id="QR_Canvas" *ngIf="qrcode" qrc-element-type="canvas" [qrc-value] = "qrcode"></ngx-qrcode>
							</ion-item>

						</ion-card-content>
					</ion-card>	
					
				</ion-list>
			</ion-col>

			<ion-col col-12 col-sm col-auto *ngIf="!print" >
					<button (click)="processPaiement()" *ngIf="!paid" ion-button  block  class="button-md button-ios">
						<ion-icon item-start name="card"></ion-icon>
						Payer
					</button>

					<button (click)="editBooking()"  ion-button  block  class="button-md button-ios">
						<ion-icon item-start name="create"></ion-icon>
						Modifier
					</button>

					<button (click)="cancelBooking()"  ion-button  block  class="button-md button-ios">
						<ion-icon item-start name="close"></ion-icon>
						Annuler
					</button>

					<button (click)="showPrinterWidget()" ion-button  block  class="button-md button-ios">
						<ion-icon item-start name="print"></ion-icon>
						Imprimer la facture
					</button>
				</ion-col>

		</ion-row>
	</ion-grid>
</ion-content>


